Subject: Re: bug#53904: Using an http proxy, derivation failed

From: Josselin Poiret <[email-masked]>
Date: Sat, 12 Feb 2022 12:21:07 +0100

Hello,
dal-blazej--- via Bug reports for GNU Guix <[email-masked]> writes:

> Hi,
>
> I am trying to get Guix in a QubesOS/debian 11 template.  QubesOS expose a proxy
> in its templates, used mostly by apt and dnf.
>
> For some reason all my attempts to modify the systemd unit were
> un-successful so I simply exported it on the command line. However as
> you can see in the following backtrace, that is not working as expected.

As noted in the manual, the guix daemon itself (and not the commands
that communicate with it) needs to have the https_proxy environment
variable set.  What went wrong while modifying the systemd unit?

Best,
-- 
Josselin Poiret